summaryrefslogtreecommitdiff
path: root/hg/init.d/50hg-pre-commit-hook
diff options
context:
space:
mode:
authorMathieu Clabaut <mathieu.clabaut@gmail.com>2007-12-21 15:47:30 -0600
committerJoey Hess <joey@kodama.kitenet.net>2008-01-03 19:53:46 -0500
commitb7ea2156e88479a2fe829894a606707df5555b6f (patch)
treea68aaad4678cc8d02f388a9ad565a8a580edd330 /hg/init.d/50hg-pre-commit-hook
parentf82235032f162aae0bb08828d45c6306e60dcd29 (diff)
Rename git files to hg
Diffstat (limited to 'hg/init.d/50hg-pre-commit-hook')
-rw-r--r--hg/init.d/50hg-pre-commit-hook15
1 files changed, 15 insertions, 0 deletions
diff --git a/hg/init.d/50hg-pre-commit-hook b/hg/init.d/50hg-pre-commit-hook
new file mode 100644
index 0000000..0efd5e4
--- /dev/null
+++ b/hg/init.d/50hg-pre-commit-hook
@@ -0,0 +1,15 @@
+#!/bin/sh
+set -e
+if [ -x .git/hooks/pre-commit ]; then
+ if ! grep -q "etckeeper pre-commit" .git/hooks/pre-commit; then
+ echo "etckeeper warning: .git/hooks/pre-commit needs to be manually modifed to run: etckeeper pre-commit `pwd`" >&2
+ fi
+else
+ cat >.git/hooks/pre-commit <<EOF
+#!/bin/sh
+# pre-commit hook for etckeeper, to store metadata and do sanity checks
+set -e
+etckeeper pre-commit `pwd`
+EOF
+ chmod +x .git/hooks/pre-commit
+fi